
namespace Sex
{
    public partial class Sex : System.Web.UI.Page
    {
        static string GetHtmlJsHighlightReduced(State MyState, string brush)
        {
            string s =
            "<link href='" + MyState.UrlJsHighlight + "styles/shCoreDefault.css' rel='stylesheet' type='text/css' />"
            + "\r\n<link href='" + MyState.UrlJsHighlight + "styles/shThemeDefault.css\" rel='stylesheet' type='text/css' />"
            + "\r\n<script src='" + MyState.UrlJsHighlight + "scripts/shCore.js' type='text/javascript'></" + "script>";
            s += "\r\n<script src='" + MyState.UrlJsHighlight + "scripts/";
            switch (brush)
            {
                case "c":
                    break;
                case "cpp":
                    s += "shBrushCpp";
                    break;
                case "csharp":
                case "c-sharp":
                    s += "shBrushCsharp";
                    break;
                case "css":
                    s += "shBrushCss";
                    break;
                case "java":
                    s += "shBrushJava";
                    break;
                case "javaFX":
                    s += "shBrushJavaFX";
                    break;
                case "js":
                case "jscript":
                case "javascript":
                    s += "shBrushJScript";
                    break;
                case "perl":
                case "pl":
                    s += "shBrushPerl";
                    break;
                case "php":
                    s += "shBrushPhp";
                    break;
                case "ps":
                    s += "shBrushPowerShell";
                    break;
                case "py":
                    s += "shBrushPython";
                    break;
                case "sql":
                    s += "shBrushSql";
                    break;
                case "text":
                    s += "shBrushPlain";
                    break;
                case "vb":
                    s += "shBrushVb";
                    break;
                case "xml":
                    s += "shBrushXml";
                    break;
            }
            s += ".js' type=\"text/javascript\"></" + "script>";
            return s;
        }
        static string GetHighlightCode(string Html, string brush)
        {
            return "\r\n<pre " + "class='brush: " + brush + "'>\r\n" + Untag(Html) + "</pre>\r\n";
        }
        static string GetHighlightCodeAndInsertScript(State MyState, string Html, string brush)
        {
            return GetHtmlJsHighlightReduced(MyState, brush) 
                + "\r\n<pre " + "class='brush: " + brush + "'>\r\n" 
                + Untag(Html) 
                + "</pre>\r\n"
                + "\r\n<script type='text/javascript'>"
                + "SyntaxHighlighter.all();" 
                + "</" + "script>";
        }
    }
}